require 'faraday'
require 'json'

require 'adopt_a_pet/version'
require 'adopt_a_pet/client'
require 'adopt_a_pet/pet'

# Top-level module for the Adopt-A-Pet API Wrapper
module AdoptAPet
  class Error < StandardError; end

  class << self
    attr_accessor :api_key, :api_secret
  end

  def self.configure
    yield self
    true
  end
end
